import { Document, Schema, model } from 'mongoose';

export interface MemberInterface extends Document {
  userID: string
  additional: {
    langs: ['js', 'py', 'rb', 'ts', 'rs', 'go', 'cfam', 'csharp', 'swift', 'java', 'kt', 'asm'],
  },
}

const Member: Schema = new Schema({
  userID: String,
  additional: {
    langs: Array,
  },
});

export default model<MemberInterface>('Member', Member);
